@rem  Licensed Materials - Property of IBM
@rem  5724-R31, 5655-S30
@rem  (C) Copyright IBM Corporation 2011. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off
setlocal

@rem change cmd locale to english
chcp 437

@rem set variables
set CURRENT_DIR=%cd%
set SCRIPT_DIR=%~dp0%
echo.%CURRENT_DIR%


cd /d %SCRIPT_DIR%


echo.%SCRIPT_DIR%

@rem get user input parameters
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "WPS_HOME" config.properties') DO set WPS_HOME=%%i
echo %WPS_HOME%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "HOSTNAME" config.properties') DO set HOSTNAME=%%i
echo %HOSTNAME%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "SOAPPORT" config.properties') DO set SOAPPORT=%%i
echo %SOAPPORT%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "HOSTPORT" config.properties') DO set HOSTPORT=%%i
echo %HOSTPORT%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "user" config.properties') DO set user=%%i
echo %user%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "password" config.properties') DO set password=%%i
echo %password%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "profileName" config.properties') DO set profileName=%%i
echo %profileName%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "cellName" config.properties') DO set cellName=%%i
echo %cellName%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "profilePath" config.properties') DO set profilePath=%%i
echo %profilePath%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "nodeName" config.properties') DO set nodeName=%%i
echo %nodeName%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "DB2USR" config.properties') DO set DB2USR=%%i
echo %DB2USR%
FOR /F "eol=; tokens=2,2 delims==" %%i IN ('findstr /i "DB2PASSWRD" config.properties') DO set DB2PASSWRD=%%i
echo %DB2PASSWRD%


call %WPS_HOME%\bin\wsadmin -conntype SOAP -host %HOSTNAME% -port %SOAPPORT% -user %user% -password %password% -f createDB.py  -nodeName %nodeName% -cellName %cellName% -tracefile ./logs/banking_install_BankingEars.trace -appendtrace true


echo Shutting down the server..
call %profilePath%\bin\stopServer.bat server1 -username %user% -password %password%
echo Starting the server now..
call %profilePath%\bin\startServer.bat server1

cd /d %SCRIPT_DIR%
@rem calling log status checker
call %WPS_HOME%\java\bin\java -jar ../../../lib/com.ibm.wicp.install.error.util.jar install ./logs/banking_Datasourceinstall.log ./logs/banking_install_BankingEars.trace
@echo.
@echo.

goto QUITNOW


:USAGE
@echo USAGE: install [WPS_HOME] [HOSTNAME] [SOAPPORT] [HOSTPORT] [user] [password] [profileName] [cellName] [profilePath] [nodeName] >CON
@echo EXAMPLE: install "C:\ProcServer62" localhost 8880 9080 admin password WBSFabric01 BaskarVMNode03Cell "C:\ProcServer62\profiles\WBSFabric01" BaskarVMNode03 >CON

:QUITNOW
cd %CURRENT_DIR%
@echo on